<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="" version="1.0">
  <xsl:key match="Person" name="personsByMake" use="Vehicle/Make" />
  <xsl:template match="/People">
    <People>
      <xsl:for-each select="Person[generate-id(.) = generate-id(key('personsByMake', Vehicle/Make)[1])]">
        <Make name="{Vehicle/Make}">
          <xsl:variable name="currentMake" select="Vehicle/Make" />
          <xsl:for-each select="../Person[Vehicle/Make = $currentMake]">
            <xsl:copy-of select="." />
          </xsl:for-each>
        </Make>
      </xsl:for-each>
    </People>
  </xsl:template>
</xsl:stylesheet>

